#include "chdecl.h"
void CH_makehermes_initcheckscope(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c12;
    case 4: goto c13;
    case 5: goto c16;
    case 6: goto c21;
    case 7: goto c31;
    case 8: goto c45;
    case 9: goto c47;
    case 10: goto c48;
    case 11: goto c51;
    case 12: goto c80;
    case 13: goto c88;
    case 14: goto c98;
    case 15: goto c118;
    case 16: goto c127;
    case 17: goto c130;
    case 18: goto c144;
    case 19: goto c148;
    case 20: goto c155;
    case 21: goto c164;
    case 22: goto c170;
    case 23: goto cb173;
    case 24: goto c174;
    case 25: goto c176;
    case 26: goto c179;
    case 27: goto c193;
    case 28: goto c202;
    case 29: goto c215;
    case 30: goto c217;
    case 31: goto c221;
    case 32: goto c226;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* copy 4 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_table;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 5 , "MKSCOPE" */
  if( !chs_lit(DEF(5),"MKSCOPE") ) goto ch_depletion;
/* find 6 3.1 5 , 0 */
  if (findfunc(DEF(6),DEF(3)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 7 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = datarepmap[REF(6).tsdr->number];
/* move 8 7.1 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8) = REF(7)DOT(1);
  REF(7)DOT(1).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 13 */
   goto c13;
c12:
/* copy 8 4 */
  if((ch_returncode = cp_table(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = & dr_table;
c13:
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* new_table 9 , 3 */
  if ((ch_returncode = che_new_table(DEF(9),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
c16:
/* size 10 8 */
  REF(10).value.integer = REF(8).value.table->size;
  REF(10).tsdr = & dr_integer;
/* ile . 10 =(0) , 45 */
  if ( REF(10).value.integer <= 0 ) goto c45;
/* initget 11 8 , 0,0 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(11),DEF(8),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c21:
/* get_or_err 11 8 */
  if ((ch_returncode = get_selected_object(DEF(11),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 11 =(58) , 21 */
  if ( REF(11).value.ord_enum != 58 ) goto c21;
/* position 12 11 */
  ch_frame = get_selector_frame(DEF(11),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(12).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(12).tsdr = &dr_integer;
/* endget 11 8 */
  end_selector(DEF(11),DEF(8),sched,GET);
/* move 13 12 */
  REF(13) = REF(12);
  REF(12).tsdr = & dr_bottom;
/* new_table 14 , 5 */
  if ((ch_returncode = che_new_table(DEF(14),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 8 */
  if (REF(8).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(8))) != Normal)
       goto ch_raise_exception;
/* initget 15 8 , 0,0 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(15),DEF(8),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c31:
/* get_or_goto 15 8 , 38 */
  if ((ch_returncode = get_selected_object(DEF(15),DEF(8),sched)) != Normal)
     goto c38;
/* position 16 15 */
  ch_frame = get_selector_frame(DEF(15),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(16).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(16).tsdr = &dr_integer;
/* ige . 16 13 , 31 */
  if ( REF(16).value.integer >= REF(13).value.integer ) goto c31;
/* remove 17 15 8 */
  if ((ch_returncode = che_remove(DEF(17),DEF(15),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
/* insert 14 17 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(17),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 31 */
   goto c31;
c38:
/* endget 15 8 */
  end_selector(DEF(15),DEF(8),sched,GET);
/* insert 9 14 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* privatize 8 */
  if (REF(8).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(8))) != Normal)
       goto ch_raise_exception;
/* lookup_at 18 8 =(0) */
  if ( !((ch_t = REF(8).value.table)->size) ) goto ch_notfound;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(18).value,0);
  REF(18).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 19 8 =(0) */
  if ((ch_returncode = remove_at_func(DEF(19),DEF(8),0)) != Normal)
     goto ch_raise_exception;
/* branch , 16 */
   goto c16;
c45:
/* endblock */
  che_endblock(sched);
/* branch , 48 */
   goto c48;
c47:
/* insert 9 8 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(8),FALSE,0)) != Normal)
     goto ch_raise_exception;
c48:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* copy 20 9 */
  if((ch_returncode = cp_table(& ch_val, REF(9).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = & dr_table;
/* initget 21 20 , 0,0 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(21),DEF(20),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c51:
/* get_or_goto 21 20 , 164 */
  if ((ch_returncode = get_selected_object(DEF(21),DEF(20),sched)) != Normal)
     goto c164;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* privatize 9 */
  if (REF(9).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9))) != Normal)
       goto ch_raise_exception;
/* position 23 21 */
  ch_frame = get_selector_frame(DEF(21),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(23).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(23).tsdr = &dr_integer;
/* lookup_at 24 9 23 */
  if((ch_i = REF(23).value.integer) < 0 || ch_i >= (ch_t = REF(9).value
    .table)->size) goto ch_notfound;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(24).value,ch_i);
  REF(24).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 22 9 23 */
  if ((ch_returncode = remove_at_func(DEF(22),DEF(9),REF(23).value.integer
    )) != Normal) goto ch_raise_exception;
/* lookup_at 25 22 =(0) */
  if ( !((ch_t = REF(22).value.table)->size) ) goto ch_notfound;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(25).value,0);
  REF(25).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 26 25 */
  REF(26) = REF(25);
/* notequal . 26 =(47) , 66 */
  if ( REF(26).value.ord_enum != 47 ) goto c66;
/* chs_lit 27 , "" */
  if( !chs_lit(DEF(27),"") ) goto ch_depletion;
/* branch , 70 */
   goto c70;
c66:
/* chs_lit 28 , "/" */
  if( !chs_lit(DEF(28),"/") ) goto ch_depletion;
/* concat 29 4 28 */
  if ((ch_returncode = che_concat(DEF(29),DEF(4),DEF(28),sched)) != Normal)
     goto ch_raise_exception;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* move 27 29 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27) = REF(29);
  REF(29).tsdr = & dr_bottom;
c70:
/* size 30 22 */
  REF(30).value.integer = REF(22).value.table->size;
  REF(30).tsdr = & dr_integer;
/* isubtract 31 30 =(1) */
  if (!chf_isubtract(DEF(31),REF(30).value.integer,1)) goto ch_depletion;
/* lookup_at 32 22 31 */
  if((ch_i = REF(31).value.integer) < 0 || ch_i >= (ch_t = REF(22).value
    .table)->size) goto ch_notfound;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(32).value,ch_i);
  REF(32).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 33 32 */
  REF(33) = REF(32);
/* equal . 33 =(47) , 80 */
  if ( REF(33).value.ord_enum == 47 ) goto c80;
/* ordenum_lit 34 , 47 */
  REF(34).value.ord_enum = 47;
  REF(34).tsdr = & dr_ord_enumeration;
/* insert 22 34 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(34),FALSE,0)) != Normal)
     goto ch_raise_exception;
c80:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* size 38 22 */
  REF(38).value.integer = REF(22).value.table->size;
  REF(38).tsdr = & dr_integer;
/* ile . 38 =(0) , 155 */
  if ( REF(38).value.integer <= 0 ) goto c155;
/* initget 39 22 , 0,0 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(39),DEF(22),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c88:
/* get_or_err 39 22 */
  if ((ch_returncode = get_selected_object(DEF(39),DEF(22),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 39 =(47) , 88 */
  if ( REF(39).value.ord_enum != 47 ) goto c88;
/* position 40 39 */
  ch_frame = get_selector_frame(DEF(39),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(40).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(40).tsdr = &dr_integer;
/* endget 39 22 */
  end_selector(DEF(39),DEF(22),sched,GET);
/* move 41 40 */
  REF(41) = REF(40);
  REF(40).tsdr = & dr_bottom;
/* new_table 35 , 5 */
  if ((ch_returncode = che_new_table(DEF(35),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 22 */
  if (REF(22).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(22))) != Normal)
       goto ch_raise_exception;
/* initget 42 22 , 0,0 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(42),DEF(22),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c98:
/* get_or_goto 42 22 , 105 */
  if ((ch_returncode = get_selected_object(DEF(42),DEF(22),sched)) != Normal)
     goto c105;
/* position 43 42 */
  ch_frame = get_selector_frame(DEF(42),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(43).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(43).tsdr = &dr_integer;
/* ige . 43 41 , 98 */
  if ( REF(43).value.integer >= REF(41).value.integer ) goto c98;
/* remove 44 42 22 */
  if ((ch_returncode = che_remove(DEF(44),DEF(42),DEF(22),sched)) != Normal)
     goto ch_raise_exception;
/* insert 35 44 */
  if ((ch_returncode = insertfunc(DEF(35),DEF(44),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 98 */
   goto c98;
c105:
/* endget 42 22 */
  end_selector(DEF(42),DEF(22),sched,GET);
/* privatize 22 */
  if (REF(22).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(22))) != Normal)
       goto ch_raise_exception;
/* lookup_at 45 22 =(0) */
  if ( !((ch_t = REF(22).value.table)->size) ) goto ch_notfound;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(45).value,0);
  REF(45).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 46 22 =(0) */
  if ((ch_returncode = remove_at_func(DEF(46),DEF(22),0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 37 , ".." */
  if( !chs_lit(DEF(37),"..") ) goto ch_depletion;
/* equal 47 35 37 */
  REF(47).value.boolean = (eq_table(REF(35).value,REF(37).value));
  REF(47).tsdr = & dr_boolean;
/* chs_lit 36 , "." */
  if( !chs_lit(DEF(36),".") ) goto ch_depletion;
/* equal . 35 36 , 80 */
  if ( eq_table(REF(35).value,REF(36).value) ) goto c80;
/* select * 47 , {116} */
  if ( REF(47).value.boolean ) goto c116;
/* branch , 148 */
   goto c148;
c116:
/* boolean 48 , FALSE */
  REF(48).value.boolean = FALSE;
  REF(48).tsdr = & dr_boolean;
/* initget 49 27 , 0,0 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(49),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c118:
/* get_or_goto 49 27 , 123 */
  if ((ch_returncode = get_selected_object(DEF(49),DEF(27),sched)) != Normal)
     goto c123;
/* notequal . 49 =(47) , 118 */
  if ( REF(49).value.ord_enum != 47 ) goto c118;
/* boolean 48 , TRUE */
  REF(48).value.boolean = TRUE;
  REF(48).tsdr = & dr_boolean;
c123:
/* endget 49 27 */
  end_selector(DEF(49),DEF(27),sched,GET);
/* branch_false 48 , 80 */
  if ( !REF(48).value.boolean ) goto c80;
/* new_table 50 , 5 */
  if ((ch_returncode = che_new_table(DEF(50),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 51 27 , 0,0 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(51),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c127:
/* get_or_goto 51 27 , 144 */
  if ((ch_returncode = get_selected_object(DEF(51),DEF(27),sched)) != Normal)
     goto c144;
/* boolean 52 , FALSE */
  REF(52).value.boolean = FALSE;
  REF(52).tsdr = & dr_boolean;
/* initget 53 27 , 0,0 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(53),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c130:
/* get_or_goto 53 27 , 139 */
  if ((ch_returncode = get_selected_object(DEF(53),DEF(27),sched)) != Normal)
     goto c139;
/* position 54 53 */
  ch_frame = get_selector_frame(DEF(53),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(54).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(54).tsdr = &dr_integer;
/* position 55 51 */
  ch_frame = get_selector_frame(DEF(51),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(55).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(55).tsdr = &dr_integer;
/* igt 56 54 55 */
  REF(56).value.boolean = (REF(54).value.integer > REF(55).value.integer);
/* equal 57 53 =(47) */
  REF(57).value.boolean = (REF(53).value.ord_enum == 47);
  REF(57).tsdr = & dr_boolean;
/* and 58 56 57 */
  REF(58).value.boolean = REF(56).value.boolean&REF(57).value.boolean;
  REF(58).tsdr = & dr_boolean;
/* branch_false 58 , 130 */
  if ( !REF(58).value.boolean ) goto c130;
/* boolean 52 , TRUE */
  REF(52).value.boolean = TRUE;
  REF(52).tsdr = & dr_boolean;
c139:
/* endget 53 27 */
  end_selector(DEF(53),DEF(27),sched,GET);
/* branch_false 52 , 127 */
  if ( !REF(52).value.boolean ) goto c127;
/* copy 59 51 */
  if((ch_returncode = (REF(51).tsdr->copy)(& ch_val, REF(51).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val;
  REF(59).tsdr = datarepmap[REF(51).tsdr->number];
/* insert 50 59 */
  if ((ch_returncode = insertfunc(DEF(50),DEF(59),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 127 */
   goto c127;
c144:
/* endget 51 27 */
  end_selector(DEF(51),DEF(27),sched,GET);
/* move 27 50 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27) = REF(50);
  REF(50).tsdr = & dr_bottom;
/* branch , 80 */
   goto c80;
c148:
/* concat 60 27 35 */
  if ((ch_returncode = che_concat(DEF(60),DEF(27),DEF(35),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 61 , "/" */
  if( !chs_lit(DEF(61),"/") ) goto ch_depletion;
/* concat 62 60 61 */
  if ((ch_returncode = che_concat(DEF(62),DEF(60),DEF(61),sched)) != Normal)
     goto ch_raise_exception;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* move 27 62 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27) = REF(62);
  REF(62).tsdr = & dr_bottom;
/* branch , 80 */
   goto c80;
c155:
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* size 63 27 */
  REF(63).value.integer = REF(27).value.table->size;
  REF(63).tsdr = & dr_integer;
/* isubtract 64 63 =(1) */
  if (!chf_isubtract(DEF(64),REF(63).value.integer,1)) goto ch_depletion;
/* lookup_at 65 27 64 */
  if((ch_i = REF(64).value.integer) < 0 || ch_i >= (ch_t = REF(27).value
    .table)->size) goto ch_notfound;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(65).value,ch_i);
  REF(65).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 46 27 64 */
  if ((ch_returncode = remove_at_func(DEF(46),DEF(27),REF(64).value.integer
    )) != Normal) goto ch_raise_exception;
/* position 66 21 */
  ch_frame = get_selector_frame(DEF(21),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(66).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(66).tsdr = &dr_integer;
/* insert_at 9 27 66 */
  ch_i = REF(66).value.integer;
  if (ch_i < 0 || REF(9).value.table->size < ch_i) goto ch_range_error;
  if ((ch_returncode = insertfunc(DEF(9),DEF(27),TRUE, ch_i)) != Normal)
     goto ch_raise_exception;
/* branch , 51 */
   goto c51;
c164:
/* endget 21 20 */
  end_selector(DEF(21),DEF(20),sched,GET);
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* new_inport 67 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val; REF(67).tsdr = & dr_inport;
/* connect 3.2 67 */
  if (REF(67).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(67).value.inport->refcount++;
  REF(3)DOT(2).value.outport = REF(67).value.inport;
  REF(3)DOT(2).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
c170:
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
  current->ip = 23;
cb173:
/* receive 69 67 */
  if ((ch_returncode = che_receive(DEF(69),DEF(67),sched)) != Normal)
     goto ch_raise_exception;
  return;
c174:
/* new_table 70 , 5 */
  if ((ch_returncode = che_new_table(DEF(70),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 71 69.0 , 0,0 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(71),DEF(69)DOT(0),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c176:
/* get_or_goto 71 69.0 , 193 */
  if ((ch_returncode = get_selected_object(DEF(71),DEF(69)DOT(0)
    ,sched)) != Normal) goto c193;
/* boolean 72 , FALSE */
  REF(72).value.boolean = FALSE;
  REF(72).tsdr = & dr_boolean;
/* initget 73 69.0 , 0,0 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(73),DEF(69)DOT(0),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c179:
/* get_or_goto 73 69.0 , 188 */
  if ((ch_returncode = get_selected_object(DEF(73),DEF(69)DOT(0)
    ,sched)) != Normal) goto c188;
/* position 74 73 */
  ch_frame = get_selector_frame(DEF(73),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(74).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(74).tsdr = &dr_integer;
/* position 75 71 */
  ch_frame = get_selector_frame(DEF(71),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(75).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(75).tsdr = &dr_integer;
/* igt 76 74 75 */
  REF(76).value.boolean = (REF(74).value.integer > REF(75).value.integer);
/* equal 77 73 =(47) */
  REF(77).value.boolean = (REF(73).value.ord_enum == 47);
  REF(77).tsdr = & dr_boolean;
/* and 78 76 77 */
  REF(78).value.boolean = REF(76).value.boolean&REF(77).value.boolean;
  REF(78).tsdr = & dr_boolean;
/* branch_false 78 , 179 */
  if ( !REF(78).value.boolean ) goto c179;
/* boolean 72 , TRUE */
  REF(72).value.boolean = TRUE;
  REF(72).tsdr = & dr_boolean;
c188:
/* endget 73 69.0 */
  end_selector(DEF(73),DEF(69)DOT(0),sched,GET);
/* branch_false 72 , 176 */
  if ( !REF(72).value.boolean ) goto c176;
/* copy 79 71 */
  if((ch_returncode = (REF(71).tsdr->copy)(& ch_val, REF(71).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val;
  REF(79).tsdr = datarepmap[REF(71).tsdr->number];
/* insert 70 79 */
  if ((ch_returncode = insertfunc(DEF(70),DEF(79),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 176 */
   goto c176;
c193:
/* endget 71 69.0 */
  end_selector(DEF(71),DEF(69)DOT(0),sched,GET);
/* move 68 70 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68) = REF(70);
  REF(70).tsdr = & dr_bottom;
/* size 80 68 */
  REF(80).value.integer = REF(68).value.table->size;
  REF(80).tsdr = & dr_integer;
/* notequal . 80 =(0) , 200 */
  if ( REF(80).value.integer != 0 ) goto c200;
/* copy 68 4 */
  if((ch_returncode = cp_table(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val;
  REF(68).tsdr = & dr_table;
c200:
/* boolean 81 , FALSE */
  REF(81).value.boolean = FALSE;
  REF(81).tsdr = & dr_boolean;
/* initget 82 9 , 0,0 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(82),DEF(9),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c202:
/* get_or_goto 82 9 , 206 */
  if ((ch_returncode = get_selected_object(DEF(82),DEF(9),sched)) != Normal)
     goto c206;
/* notequal . 82 68 , 202 */
  if ( !eq_table(REF(82).value,REF(68).value) ) goto c202;
/* boolean 81 , TRUE */
  REF(81).value.boolean = TRUE;
  REF(81).tsdr = & dr_boolean;
c206:
/* endget 82 9 */
  end_selector(DEF(82),DEF(9),sched,GET);
/* branch_false 81 , 211 */
  if ( !REF(81).value.boolean ) goto c211;
/* boolean 69.1 , TRUE */
  REF(69)DOT(1).value.boolean = TRUE;
  REF(69)DOT(1).tsdr = & dr_boolean;
/* branch , 213 */
   goto c213;
c211:
/* boolean 69.1 , FALSE */
  REF(69)DOT(1).value.boolean = FALSE;
  REF(69)DOT(1).tsdr = & dr_boolean;
c213:
/* return 69 */
  if (ch_caller = do_return(REF(69).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(69).value);
  REF(69).tsdr = & dr_bottom;
/* branch , 170 */
   goto c170;
c215:
/* endblock */
  che_endblock(sched);
/* branch , 221 */
   goto c221;
c217:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
c221:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c226:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
